
/**
 * Title:        ASCII File Adapter<p>
 * Description:  This package contains all non JCA classes of the
 * ASCII file adapter.<p>
 * Copyright:    Copyright (c) Atul Apte<p>
 * Company:      iConexio Technologies Inc.<p>
 * @author Atul Apte
 * @version 1.0
 */
package com.iconexio.asciiFileAdapter;

/*
 * This is the API for all administration services offered by the
 * ASCII File resource adapter. This interface can be implemented by an EJB
 * or even integrated with a system management tool. However in the
 * example adapter this interface will be implemented by a simple Java class
 */

public interface AdminAPI
{
  // This API returns the total number of records parsed by
  // the resource adapter
  // since it was instantiated. The implementation can be serial
  // ized to store
  // the statistics if required.
  // Pre-condition: None
  public int getNoOfRecordsProcessed() throws Exception;
  // This API returns the total number of bad records parsed by
  //  the resource
  // adapter since it was instantiated. The implementation can
  // be serialized
  // to store the statistics if required.
  // Pre-condition: None
  public int getNoOfBadRecords();
}
