
/**
 * Title:        ASCII File Adapter<p>
 * Description:  This package contains all non JCA classes of the
 * ASCII file adapter.<p>
 * Copyright:    Copyright (c) Atul Apte<p>
 * Company:      iConexio Technologies Inc.<p>
 * @author Atul Apte
 * @version 1.0
 */
package com.iconexio.asciiFileAdapter;

/*
 * This is the API for all configuration services offered by the
 * ASCII File resource adapter. This interface can be implemented by an EJB
 *  or any other Java class besides the resource adapter.
 * However in the example adapter
 * this interface will be implemented by a simple Java class which
 * is used by
 * other classes to get and set the default meta-data file name.
 */

public interface ConfigAPI
{
  // This API sets the default meta-data file name.
  // Pre-condition: None
  public void setDefaultMetadataFileName(String metadataFileName);
  // This API returns the default meta-data file name
  public String getDefaultMetadataFileName();
}
