
/**
 * Title:        ASCII File Adapter<p>
 * Description:  This package contains all non JCA classes of the
 * ASCII file adapter.<p>
 * Copyright:    Copyright (c) Atul Apte<p>
 * Company:      iConexio Technologies Inc.<p>
 * @author Atul Apte
 * @version 1.0
 */
package com.iconexio.asciiFileAdapter;

// The customerDataServiceAPI interface defines the methods representing
// the services offered by sync-servic module of the engine layer.
// These services enable the client to load customer records from an
// ASCII file whose structure is defined by a meta data file.

import java.util.Vector;
import java.io.IOException;

public interface CustomerDataServiceAPI
{
  // This method parses and load the customer data from the data file name
  // stated in the meta  data file. The structure of the customer data file is
  // also defined in meta data file.
  public void loadCustomerRecords(String metaDataFileName) throws Exception,
                    ParserException, IOException;

  // This method does the same function as above except the data file name is
  // explicit.
  public void loadCustomerRecords(String metaDataFileName, String dataFileName)
                           throws Exception, ParserException, IOException;

  // This method allows client to verify if the customer record is valid
  public boolean isCustomerRecordValid(CustomerRec aRec);

  // This method returns the Vector instance holding all the
  // customer records
  public Vector getCustomerRecordTable();

  // This method returns a specific customer record with matching ID
  public CustomerRec getCustomerRecord(String ID);
}