
/**
 * Title:        ASCII File Adapter<p>
 * Description:  This package contains all non JCA classes of the
 * ASCII file adapter.<p>
 * Copyright:    Copyright (c) Atul Apte<p>
 * Company:      iConexio Technologies Inc.<p>
 * @author Atul Apte
 * @version 1.0
 */
package com.iconexio.asciiFileAdapter;

// This class defines the structure of a field including its name, type, and
// the actual value. An example of MetaDataLayout instance is:
// fID = 1
// fName = ACCOUNT_STATUS
// fType = String
// fDomain = ACTIVE,DORMANT (values that define the domain of this field.)
// The domain parameter is optional and can be used by the parser to validate
// any values assigned to the field.

public class MetadataLayout
{

  public MetadataLayout()
  {
  }
  public MetadataLayout(int afID, String fName, String fType, String fDomain) {
    fID = afID;
    fname = new String(fName);
    ftype = new String(fType);
    fdomain = new String(fDomain);
  }
  public int getID() {
    return(fID);
  }
  public String getName() {
    return(fname);
  }
  public String getDomainValue() {
    return(fdomain);
  }
  public String getType() {
    return(ftype);
  }
  private int fID;
  private String fname;
  private String ftype;
  private String fdomain;
}
